RECFIX(1)

NOM
recfix – Recherche d’erreurs dans un fichier Rec

SYNOPSIS
recfix [OPTION]... [OPÉRATION] [OPTION_OPÉRATION]... [FICHIER]

DESCRIPTION
Vérification et correction de fichiers Rec (recfiles).

--no-external
    Ne pas utiliser de descripteurs externes.

--force
    Forcer les opérations demandées.

--help
    Afficher un message d'aide puis quitter.

--version
    Afficher la version du programme puis quitter.

  Opérations :

--check
    Vérification de l’intégrité du fichier indiqué (opération par défaut).

--sort
    Tri des enregistrements (rec) dans le fichier indiqué.

--auto
    Insertion des champs autogénérés dans les enregistrements s’ils sont manquants.

--encrypt
    Chiffrement des champs confidentiels dans le fichier indiqué.

--decrypt
    Déchiffrement des champs confidentiels dans le fichier indiqué.

  Options de (dé)chiffrement :

-s, --password=MOT_DE_PASSE
    Chiffrement ou déchiffrement avec ce mot de passe.

Si aucun FICHIER n’est indiqué, cette commande agit comme un filtre, prenant les données sur l’entrée standard et écrivant le résultat sur la sortie standard.

AUTEUR
Écrit par Jose E. Marchesi.

SIGNALER DES BOGUES
Signaler toute erreur à bug-recutils@gnu.org
Page d'accueil de GNU recutils : <https://www.gnu.org/software/recutils/>
Aide générale pour les logiciels GNU : <https://www.gnu.org/gethelp/>

COPYRIGHT
Copyright © 2010-2020 Jose E. Marchesi. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>.
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
La documentation complète de recfix est disponible dans un manuel Texinfo. Si les programmes info et recfix sont correctement installés, la commande

    info recutils

devrait vous donner accès au manuel complet.

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.